# linkPipelineItems

Link two unarchived deals on your org's own pipelines; both list it (getDeal linkedItems).

- Call: `POST https://server.goliathdata.com/api/v1/call` with `{ "operationId": "linkPipelineItems", "variables": {...} }`
- Scope: `WRITE`
- Type: mutation
- Idempotency: honors `Idempotency-Key` (24 h)
- Rate-limited: no

## Variables

- `pipelineItemId`: `ID!` (required)
- `otherPipelineItemId`: `ID!` (required)
- `label`: `String`

## Response (data, an example)

```json
{
  "dealMutation": {
    "linkPipelineItems": {
      "id": "<ID>"
    }
  }
}
```

## Example

```bash
curl https://server.goliathdata.com/api/v1/call \
  -H "Authorization: Bearer $GOLIATH_API_KEY" \
  -H "Content-Type: application/json" \
  -H "Idempotency-Key: $(uuidgen)" \
  -d '{
    "operationId": "linkPipelineItems",
    "variables": {
      "pipelineItemId": "<pipelineItemId>",
      "otherPipelineItemId": "<otherPipelineItemId>"
    }
  }'
```
